GNU Radio C++ API Reference: gr::fxpt Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fxpt Class Reference
Miscellaneous

fixed point sine and cosine and friends. More...

`#include <gnuradio/fxpt.h>`

## Static Public Member Functions
static int32_t | float_to_fixed (float x)
static float | fixed_to_float (int32_t x)
static float | sin (int32_t x)
| Given a fixed point angle x, return float sine (x).
static float | cos (int32_t x)
static void | sincos (int32_t x, float *s, float *c)

## Detailed Description

fixed point sine and cosine and friends.

fixed pt radians

-2**31 -pi 0 0 2**31-1 pi - epsilon

## Member Function Documentation

## ◆ cos()

float gr::fxpt::cos | ( | int32_t | x | ) |
| inlinestatic

Referenced by gr::fxpt_nco::cos(), gr::fxpt_nco::cos(), gr::fxpt_nco::cos(), gr::fxpt_nco::cos(), gr::fxpt_nco::cos(), gr::fxpt_vco::cos(), gr::fxpt_vco::cos(), gr::fxpt_nco::sincos(), gr::fxpt_nco::sincos(), gr::fxpt_vco::sincos(), and gr::fxpt_vco::sincos().

## ◆ fixed_to_float()

float gr::fxpt::fixed_to_float | ( | int32_t | x | ) |
| inlinestatic

Referenced by gr::fxpt_nco::get_freq(), gr::fxpt_nco::get_phase(), and gr::fxpt_vco::get_phase().

## ◆ float_to_fixed()

int32_t gr::fxpt::float_to_fixed | ( | float | x | ) |
| inlinestatic

Referenced by gr::fxpt_nco::adjust_freq(), gr::fxpt_nco::adjust_phase(), gr::fxpt_vco::adjust_phase(), gr::fxpt_nco::set_freq(), gr::fxpt_nco::set_phase(), and gr::fxpt_vco::set_phase().

## ◆ sin()

float gr::fxpt::sin | ( | int32_t | x | ) |
| inlinestatic

Given a fixed point angle x, return float sine (x).

Referenced by gr::fxpt_nco::sin(), gr::fxpt_nco::sin(), gr::fxpt_nco::sin(), gr::fxpt_nco::sin(), gr::fxpt_nco::sin(), gr::fxpt_vco::sin(), gr::fxpt_nco::sincos(), gr::fxpt_nco::sincos(), gr::fxpt_vco::sincos(), and gr::fxpt_vco::sincos().

## ◆ sincos()

void gr::fxpt::sincos | ( | int32_t | x,
|  | float * | s,
|  | float * | c )
| inlinestatic

The documentation for this class was generated from the following file:

- fxpt.h